##### VERSION NUMBERS

%define gsversion 8.15
%define gsextraversion .2
%define gsreleaseno 47
%define gsrelease %mkrel %gsreleaseno
%define gssvnrevision -rev183
%define ijsver 0.35
%define ijsreloffset 0
%define ijsrelno %(echo $((%{gsreleaseno} + %{ijsreloffset})))
%define ijsrel %mkrel %ijsrelno
%define ijsmajor 1
%define libijs %mklibname ijs %{ijsmajor}
%define gsmajor 8
%define libgs %mklibname gs %{gsmajor}

##### BUILD OPTIONS

%define GSx11SVGAmodule 1
%define withsvgalib 0
%define withcupsfilters 1
%define withstaticgs 0

%define debug 0

##### RPM PROBLEM WORKAROUNDS

# Suppress automatically generated Requires for Perl libraries.
#define _requires_exceptions perl\(.*\)

#define _unpackaged_files_terminate_build       0 
#define _missing_doc_files_terminate_build      0

##### GENERAL DEFINITIONS

Summary:	PostScript/PDF interpreter and renderer (Main executable)
Name:		ghostscript
Version:	%{gsversion}
Release:	%{gsrelease}
License:	GPL
Group:		Publishing
Requires: 	ghostscript-common
Requires:	/usr/sbin/update-alternatives
Obsoletes:	ghostscript-PrintOnly
Provides:	ghostscript-PrintOnly
%if !%{GSx11SVGAmodule}
Obsoletes:	ghostscript-module-X ghostscript-module-SVGALIB
Provides:	ghostscript-module-X ghostscript-module-SVGALIB
%endif
%if !%{withstaticgs}
Obsoletes:	ghostscript-static
Provides:	ghostscript-static
%endif
Conflicts:	omni < 0.4 cups <= 1.1.14
Conflicts:	printer-filters <= 10.1
URL:		http://www.cups.org/espgs/index.php



##### BUILDREQUIRES

BuildRequires: autoconf2.5, libtiff-devel, glib-devel
BuildRequires: bison, flex, freetype-devel, gettext-devel, libnetpbm-devel
BuildRequires: libpng-devel, libxml-devel, libfontconfig-devel
BuildRequires: cups
%ifarch x86_64
BuildRequires: libcups-devel >= 1.2.0-0.5361.0mdk
%else
BuildRequires: libcups-devel >= 1.1.18
%endif
BuildRequires: unzip, freetype-devel
BuildRequires: X11-devel
BuildRequires: gtk+2-devel

%ifarch %ix86
%if %{withsvgalib}
BuildRequires:	svgalib-devel
%endif
%endif



##### GHOSTSCRIPT SOURCES

Source0:	ftp://ftp2.easysw.com/pub/ghostscript/espgs-%{gsversion}%{gsextraversion}%{gssvnrevision}.tar.bz2
#Source0:	ftp://ftp2.easysw.com/pub/ghostscript/espgs-%{gsversion}%{gsextraversion}%{gssvnrevision}-source.tar.bz2
Source1:        ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.bz2
Source2:	ps2pdfpress.bz2
Source3:	http://www.linuxprinting.org/download/printing/sipixa6.upp.bz2



##### GHOSTSCRIPT PATCHES

Patch2:	espgs-8.15-windev-pdf-compatibility.patch



##### LIBIJS PATCHES

# Fortunately none currently



##### BUILD ROOT

BuildRoot:	%_tmppath/%name-%gsversion-%gsrelease-root



##### PACKAGE DESCRIPTIONS



##### GHOSTSCRIPT

%package dvipdf
Summary: PostScript/PDF interpreter and renderer (DVI-to-PDF converter)
Group: 		Publishing
Requires: 	ghostscript, fileutils
Requires:	tetex-dvips

%package common
Summary: PostScript/PDF interpreter and renderer (Common files)
Group: 		Publishing
Requires:	urw-fonts >= 1.1, ghostscript-fonts, perl
Conflicts:	ghostscript < 8.15-27mdk
%ifarch x86_64
Conflicts:	cups < 1.2.0-0.5361.0mdk
%endif

%package X
Summary: PostScript/PDF interpreter and renderer (Executable with GTK-based screen display)
Group: 		Publishing
Requires: 	ghostscript-common
Requires:	/usr/sbin/update-alternatives
# This one is buggy, so do not let it get automatically installed by
# the "Provides: ghostscript"
#Provides:	ghostscript = %{version}-%{release}

%if %withstaticgs
%package static
Summary: PostScript/PDF interpreter and renderer (Static executable)
Group: 		Publishing
Requires: 	ghostscript-common
Requires:	/usr/sbin/update-alternatives
Provides:	ghostscript = %{version}-%{release}
%endif

%if %{GSx11SVGAmodule}
%package module-X
Summary: PostScript/PDF interpreter and renderer (Additional support for X)
Group: 		Publishing
Requires: 	ghostscript-common
Conflicts: 	ghostscript-X < 8.15
Obsoletes:	ghostscript-Both
Provides: 	ghostscript-Both

%ifarch %ix86
%if %{withsvgalib}
%package module-SVGALIB
Summary: PostScript/PDF interpreter and renderer (Additional support for SVGALIB)
Group: 		Publishing
PreReq: 	ghostscript, fileutils
Obsoletes: 	ghostscript-SVGALIB, ghostscript-Both
Provides: 	ghostscript-SVGALIB, ghostscript-Both
%endif
%endif
%endif

%package -n %libgs
Summary: PostScript/PDF interpreter and renderer (GhostScript shared library)
Group: Publishing

%package -n %libgs-devel
Summary: Headers and links to compile against the "%{libgs}" library
Group: Development/C

##### IJS

%package -n %{libijs}
Version:	%{ijsver}
Release:	%{ijsrel}
Summary:	Dynamic library for the IJS printer driver plug-in interface
Group:		Publishing
URL:		http://www.linuxprinting.org/ijs/
Provides:       libijs = %{ijsver}-%{ijsrel}

%package -n %{libijs}-devel
Version:	%{ijsver}
Release:	%{ijsrel}
Summary:	Headers and links for compiling against the "%{libijs}" library
Group:		Development/C
URL:		http://www.linuxprinting.org/ijs/
Requires:       %{libijs} = %{ijsver} multiarch-utils
Provides:       libijs-devel = %{ijsver}-%{ijsrel}
Provides:       ijs-devel = %{ijsver}-%{ijsrel}



##### DESCRIPTION TEXTS

%description
Ghostscript is a set of software tools that provide a PostScript(TM)
interpreter, a set of C procedures (the Ghostscript library, which
implements the graphics capabilities in the PostScript language) and
an interpreter for Portable Document Format (PDF) files. Ghostscript
translates PostScript code into many common, bitmapped and vector
formats, like those understood by your printer or screen. Ghostscript
is normally used to display PostScript files and to print PostScript
files to non-PostScript printers.

You should install ghostscript if you need to display PostScript or
PDF files, or if you have a non-PostScript printer.

%description dvipdf
Tool to convert the DVI format of TeX into the PDF format. There are
more such tools (for different quality levels) in the tetex-dvipdfm
package. All these tools use dvips of TeX to convert the DVI file to
PostScript, then they use GhostScript to generate the PDF file.

%description common
Ghostscript is a PostScript/PDF interpreter. It can render both
PostScript and PDF files to devices which include X window, many
printer formats, and popular graphics file formats.

This package contains the common data files needed by GhostScript.

%description X
Ghostscript is a PostScript/PDF interpreter. It can render both
PostScript and PDF files to devices which include X window, many
printer formats, and popular graphics file formats.

This package contains a GhostScript executable with GTK-based X
display support ("display" device, default, so it displays files by
simply entering "gs <file>" on the command line). It makes use of the
GhostScript shared library.

%if %withstaticgs
%description static
Ghostscript is a PostScript/PDF interpreter. It can render both
PostScript and PDF files to devices which include X window, many
printer formats, and popular graphics file formats.

This package contains a GhostScript executable which does not need the
GhostScript shared library. To get simple X display support, the
ghostscript-module-X package must be installed in addition.
%endif

%if %{GSx11SVGAmodule}
%description module-X
Ghostscript is a PostScript/PDF interpreter. It can render both
PostScript and PDF files to devices which include X window, many
printer formats, and popular graphics file formats.

This package enhances Ghostscript with X window support

%ifarch %ix86
%if %{withsvgalib}
%description module-SVGALIB
Ghostscript is a PostScript/PDF interpreter. It can render both
PostScript and PDF files to devices which include X window, many
printer formats, and popular graphics file formats.

This package enhances Ghostscript with console output using SVGALIB.
%endif
%endif
%endif

%description -n %libgs
This is the API library for programs which use the PostScript and/or
PDF interpreters of GhostScript.

%description -n %libgs-devel
This package contains the static library and the header files needed
to compile applications using the GhostScript shared library.

%description -n %{libijs}
This is the API library for programs using the IJS printer driver
plug-in interface. Printer drivers using this interface can be added
to GhostScript (6.53 or newer) without needing to rebuild
GhostScript. Application programs providing an IJS interface can make
use of IJS printer drivers directly, without needing GhostScript.

%description -n %{libijs}-devel
This package contains the static library and the header files needed
to compile applications using the IJS library.


%prep

# remove old directory
rm -rf $RPM_BUILD_DIR/espgs

##### GHOSTSCRIPT

%setup -q -n espgs
#
# unpack jpeg
%setup -q -T -D -a 1 -n espgs
# For GhostScript, rename jpeg subdirectory
mv jpeg-6b jpeg

cd lib
%patch2 -p0 -b .windev-pdf
cd ..

# Stuff for shared library support to ghostscript.
%if %{GSx11SVGAmodule}

# build a small README describing the features available.
cat <<EOF >README.shared.mandrivalinux
This version of ghostscript support shared modules dynamically loaded
at run time.

There are currently two modules compiled with the Mandriva Linux version of
ghostscript, one to support all X11 devices (typically used by gv) and
another to support the svgalib devices. Look at the
ghostscript-module-??? packages.

There is no configuration needed, just can add (or remove) the package
to add (or remove) the devices concerned in ghostscript.

EOF

%endif

# ps2pdfpress
bzcat %{SOURCE2} > ps2pdfpress

# UPP file for SiPix Pocket Printer A6
bzcat %{SOURCE3} > sipixa6.upp

%build

# Change compiler flags for debugging when in debug mode
%if %debug
export DONT_STRIP=1
export CFLAGS="`echo %optflags |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`"
export CXXFLAGS="`echo %optflags |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`"
export RPM_OPT_FLAGS="`echo %optflags |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`"
%endif



##### IJS

cd ijs*
# Rebuild broken build infrastructure
./autogen.sh
%configure --enable-shared
%make
cd ..

##### GHOSTSCRIPT

# We have a Subversion version, so we must re-generate "configure"
./autogen.sh

%configure --enable-dynamic --enable-fontconfig --with-ijs --with-cups --with-omni --with-x --with-drivers=ALL,opvp --with-fontpath="/usr/share/fonts/default/ghostscript:/usr/share/fonts/default/Type1:/usr/share/ghostscript/fonts:/usr/share/ghostscript/%{gsversion}/Resource:/usr/share/ghostscript/Resource:/usr/share/ghostscript/CIDFont:/usr/share/fonts/ttf:/usr/share/fonts/type1"

# Drivers which do not compile: 
# Needs newsiop/lbp.h: nwp533
# Needs sys/ioccom.h: sparc
# Needs unbdev/lpviio.h: sparc

# Set documentation dir
perl -p -i -e 's|^(docdir=).*$|$1\$\(datadir\)/doc/%{name}-%{gsversion}|' Makefile

# Fix references to X11 libraries
perl -p -i -e "s|(/usr/X11R6)/lib\b|\1/%{_lib}|g" Makefile src/*.mak

# Correct paths for CJK fonts
perl -p -i -e "s:/usr/share/ghostscript/:/usr/share/ghostscript/Resource/:g" lib/gs_res.ps
perl -p -i -e "s:ghostscript/Resource/fonts:ghostscript/Resource/Font:g" lib/gs_res.ps

# Do not use "-ansi" in gcc calls
perl -p -i -e "s:-ansi::g" Makefile

# The RPM macro for make is not used here, as parallelization of the build 
# process does not work.
%if %withstaticgs
make
%else
%if %GSx11SVGAmodule
make STDDIRS
make obj/X11.so
%endif
%endif
make so
make pcl3opts

%install

rm -rf %{buildroot}

# Change compiler flags for debugging when in debug mode
%if %debug
export DONT_STRIP=1
export CFLAGS="`echo %optflags |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`"
export CXXFLAGS="`echo %optflags |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`"
export RPM_OPT_FLAGS="`echo %optflags |sed -e 's/-O3/-g/' |sed -e 's/-O2/-g/'`"
%endif


# Make directories
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_prefix}/lib/cups
install -d %{buildroot}%{_datadir}/cups/model
install -d %{buildroot}%{_sysconfdir}/cups

##### IJS

cd ijs*
./configure --enable-shared --prefix=%buildroot%{_prefix} --libdir=%buildroot%{_libdir}
# Work around bug in "configure" script
perl -p -i -e 's/\@OBJEXT\@/o/g' Makefile
perl -p -i -e 's/\@EXEEXT\@//g' Makefile
%makeinstall
# Fix prefixes in scripts
perl -p -i -e "s:%buildroot::g" %buildroot%{_bindir}/ijs-config
perl -p -i -e "s:%buildroot::g" %buildroot%{_libdir}/pkgconfig/ijs.pc
cd ..

##### GHOSTSCRIPT

mkdir -p %{buildroot}%{_docdir}
mkdir -p %{buildroot}%{_docdir}/ghostscript-%{gsversion}
mkdir -p %{buildroot}%{_libdir}/ghostscript/%{gsversion}

%if %withstaticgs
make prefix=%{buildroot}/usr install_prefix=%{buildroot} gssharedir=%{buildroot}%{_libdir}/ghostscript/%{gsversion} docdir=%{_docdir}/ghostscript-%{gsversion} bindir=%{buildroot}%{_bindir} mandir=%{buildroot}%{_mandir} install
%else
make prefix=%{buildroot}/usr install_prefix=%{buildroot} gssharedir=%{buildroot}%{_libdir}/ghostscript/%{gsversion} docdir=%{_docdir}/ghostscript-%{gsversion} bindir=%{buildroot}%{_bindir} mandir=%{buildroot}%{_mandir} install-cups
%if %GSx11SVGAmodule
make prefix=%{buildroot}/usr install_prefix=%{buildroot} gssharedir=%{buildroot}%{_libdir}/ghostscript/%{gsversion} docdir=%{_docdir}/ghostscript-%{gsversion} bindir=%{buildroot}%{_bindir} mandir=%{buildroot}%{_mandir} install-shared
%endif
%endif
make prefix=%{buildroot}/usr install_prefix=%{buildroot} gssharedir=%{buildroot}%{_libdir}/ghostscript/%{gsversion} docdir=%{_docdir}/ghostscript-%{gsversion} bindir=%{_bindir} mandir=%{buildroot}%{_mandir} man1dir=%{_mandir}/man1 pcl3-install
make prefix=%{buildroot}/usr install_prefix=%{buildroot} gssharedir=%{buildroot}%{_libdir}/ghostscript/%{gsversion} docdir=%{_docdir}/ghostscript-%{gsversion} bindir=%{buildroot}%{_bindir} libdir=%{buildroot}%{_libdir} mandir=%{buildroot}%{_mandir} soinstall

ln -sf gs.1.bz2 %{buildroot}%{_mandir}/man1/ghostscript.1.bz2
%if %withstaticgs
mv %{buildroot}%{_bindir}/gs %{buildroot}%{_bindir}/gs-static
%endif

# ps2pdfpress
install -m 755 ps2pdfpress %{buildroot}%{_bindir}

# UPP file for SiPix Pocket Printer A6
install -m 644 sipixa6.upp %{buildroot}%{_datadir}/ghostscript/%{gsversion}/lib/

%if %{withcupsfilters}
%if 0
# "pstoraster" wrapper script to make GhostScript being used as the
# cups-internal RIP
install -d %{buildroot}%{_libdir}/cups/filter
install -m 755 pstoraster/pstoraster %{buildroot}%{_libdir}/cups/filter
install -m 755 pstoraster/pstopxl %{buildroot}%{_libdir}/cups/filter
install -d %{buildroot}%{_datadir}/cups/model
install -m 755 pstoraster/*.ppd %{buildroot}%{_datadir}/cups/model
install -d %{buildroot}%{_sysconfdir}/cups
install -m 644 pstoraster/pstoraster.convs %{buildroot}%{_sysconfdir}/cups
%endif
%endif

# Add backward compatibility link to not break printerdrake in Mandriva
# 2006 and older
ln -s %{_bindir}/gsc %{buildroot}%{_bindir}/gs-common
ln -s %{_bindir}/gsc %{buildroot}%{_bindir}/ghostscript



##### GENERAL STUFF

# Correct permissions for all documentation files
chmod -R a+rX %{buildroot}%{_docdir}
chmod -R go-w %{buildroot}%{_docdir}
chmod -R u+w %{buildroot}%{_docdir}




##### FILES

%files
%defattr(-,root,root)
%{_bindir}/gsc
%{_bindir}/gs-common
%{_bindir}/ghostscript

%files X
%defattr(-,root,root)
%{_bindir}/gsx

%if %withstaticgs
%files static
%defattr(-,root,root)
%{_bindir}/gs-static
%endif

%files common
%defattr(-,root,root)
%docdir %{_docdir}/ghostscript-%{gsversion}
%{_docdir}/ghostscript-%{gsversion}
%dir %{_datadir}/ghostscript
%{_datadir}/ghostscript/%{gsversion}
#%{_datadir}/ghostscript/Resource
#%{_datadir}/ghostscript/CIDFont
%{_mandir}/man1/*
%{_mandir}/de/man1/*
%{_bindir}/[a-c]*
%{_bindir}/dumphint
%{_bindir}/[e-f]*
#{_bindir}/gs-common
%{_bindir}/gs[a-b]*
%{_bindir}/gs[d-n]*
%{_bindir}/[j-l]*
%{_bindir}/[n-z]*
%if %{withcupsfilters}
# "pstoraster" wrapper script to make GhostScript being used as the
# cups-internal RIP
%attr(0755,root,root) %{_prefix}/lib*/cups/filter/*
%{_datadir}/cups/model/*
%config(noreplace) %{_sysconfdir}/cups/pstoraster.convs
%endif

%files dvipdf
%defattr(-,root,root)
%{_bindir}/dvipdf

%if %{GSx11SVGAmodule}
%files module-X
%defattr(-,root,root)
%doc README.shared.mandrivalinux
%dir %{_libdir}/ghostscript/%{gsversion}
%{_libdir}/ghostscript/%{gsversion}/X11.so

%ifarch %ix86
%if %{withsvgalib}
%files module-SVGALIB
%defattr(-,root,root)
%doc README.shared.mandrivalinux
%dir %{_libdir}/ghostscript/%{gsversion}
%{_libdir}/ghostscript/%{gsversion}/lvga256.so
%{_libdir}/ghostscript/%{gsversion}/vgalib.so
%endif
%endif
%endif

%files -n %{libgs}
%defattr(-,root,root)
%{_libdir}/libgs.so.*

%files -n %{libgs}-devel
%defattr(-,root,root)
%{_libdir}/libgs.so

%files -n %{libijs}
%defattr(-,root,root)
%{_libdir}/libijs.so.*

%files -n %{libijs}-devel
%defattr(-,root,root)
%doc ijs/README
%{_libdir}/libijs.a
%{_libdir}/libijs.la
%{_libdir}/libijs.so
%{_libdir}/pkgconfig/ijs.pc
%{_includedir}/ijs
%{_bindir}/ijs_client_example
%{_bindir}/ijs_server_example
%{_bindir}/ijs-config


##### PRE/POSTINSTALL SCRIPTS

%post
# Set up update-alternatives entries
%{_sbindir}/update-alternatives --install %{_bindir}/gs gs %{_bindir}/gsc 200

%post X
# Set up update-alternatives entries
%{_sbindir}/update-alternatives --install %{_bindir}/gs gs %{_bindir}/gsx 100

%if %withstaticgs
%post static
# Set up update-alternatives entries
%{_sbindir}/update-alternatives --install %{_bindir}/gs gs %{_bindir}/gs-static 10
%endif

%post common
# Initialize japanese fonts
if test -f /usr/share/fonts/ttf/japanese/cidinst; then
    sh /usr/share/fonts/ttf/japanese/cidinst
fi

%post -n %{libijs} -p /sbin/ldconfig

%post -n %{libgs} -p /sbin/ldconfig

%preun
if [ "$1" = 0 ]; then
  # Remove update-alternatives entry
  %{_sbindir}/update-alternatives --remove gs %{_bindir}/gsc
fi

%preun X
if [ "$1" = 0 ]; then
  # Remove update-alternatives entry
  %{_sbindir}/update-alternatives --remove gs %{_bindir}/gsx
fi

%if %withstaticgs
%preun static
if [ "$1" = 0 ]; then
  # Remove update-alternatives entry
  %{_sbindir}/update-alternatives --remove gs %{_bindir}/gs-static
fi
%endif

%postun -n %{libijs} -p /sbin/ldconfig

%postun -n %{libgs} -p /sbin/ldconfig


%clean
rm -rf %{buildroot}

%changelog
* Sun Aug 27 2006 Till Kamppeter <till@mandriva.com> 8.15-47mdv2007.0
- Updated to subversion revision 182 (Several bug fixes).
- Removed patch 1 and 4 (merged upstream).

* Fri Aug 18 2006 Till Kamppeter <till@mandriva.com> 8.15-46mdv2007.0
- Updated to subversion revision 172 (Translated comments in OpenPrinting
  Vector header file to english, merged fixes for building /usr/bin/gsc
  and /usr/bin/gsx upstream).
- Added UPP file for the SiPix Pocket Printer A6.
- Removed patch 3 (merged upstream).

* Thu Jul 13 2006 Till Kamppeter <till@mandriva.com> 8.15-45mdv2007.0
- GhostScript was not able to display some PDFs (bug 21493, GhostScript bug
  688736 with proposed patch, applied as patch 4).

* Wed Jul 12 2006 Till Kamppeter <till@mandriva.com> 8.15-44mdv2007.0
- Updated to subversion revision 169 (fontconfig support, fixes on "ps2epsi",
  CJKV patch from GS 8, KRGB 1.3 from HP).
- New patch 1, as GTK presence is checked by ./configure now.
- Fixed Makefile rules for /usr/bin/gsx and /usr/bin/gsc, they got messed
  up by the most recent changes on SVN (patch 3).
- Dropped ghostscript-static package (it only wastes space and no problems
  on the dynamically linked GhostScript were reported).
- Uncompressed patches.

* Thu Jun 29 2006 Oden Eriksson <oeriksson@mandriva.com> 8.15-43mdv2007.0
- rebuilt against gnutls-1.4.0
- remove the tetex-dvips build dep as it is not needed and it leads to 
  circular build deps hell

* Tue May  2 2006 Till Kamppeter <till@mandriva.com> 8.15-42mdk
- Added "BuildRequires: cups" to assure that CUPS drivers get installed.

* Wed Apr 26 2006 Till Kamppeter <till@mandriva.com> 8.15-41mdk
- Updated to subversion revision 145 (ESP GhostScript 8.15.2 release).

* Mon Apr 24 2006 Till Kamppeter <till@mandriva.com> 8.15-40mdk
- Added workaround for compatibility with PDF files generated by
  Windev (bug 15678).

* Sun Apr 23 2006 Till Kamppeter <till@mandriva.com> 8.15-39mdk
- Updated to subversion revision 141 (Tons of bug fixes, especially
  interpreter thingies like "I cannot display xyz.pdf", added CUPS
  1.2 features to "cups" raster device).
- Removed patch 0 (merged upstream).

* Mon Apr  3 2006 Till Kamppeter <till@mandriva.com> 8.15-38mdk
- Conflict against too old CUPS versions must be done with "cups"
  and not with "cups-common".

* Mon Apr  3 2006 Till Kamppeter <till@mandriva.com> 8.15-37mdk
- Moved CUPS filter directory from /usr/lib64/cups/filter to
  /usr/lib/cups/filter on 64-bit systems.

* Wed Mar 29 2006 Till Kamppeter <till@mandriva.com> 8.15-36mdk
- Updated to subversion revision 133 (Fixed bug in the
  OpenPrinting vector driver interface "opvp", updated Epson
  Avasys laser printer driver).

* Tue Mar  7 2006 Till Kamppeter <till@mandriva.com> 8.15-35mdk
- Let /usr/bin/gsx be built against GTK 2 and not against GTK 1
  (bug 21473).

* Wed Mar  1 2006 Till Kamppeter <till@mandriva.com> 8.15-34mdk
- Updated to subversion revision 130 (Fixed non-standard glyph
  rendering in PDF files generated by GhostScript).

* Mon Feb 27 2006 Till Kamppeter <till@mandriva.com> 8.15-33mdk
- Added link /usr/bin/gs-common for backward compatibility with
  printerdrake in Mandriva Linux 2006.

* Mon Feb 27 2006 Till Kamppeter <till@mandriva.com> 8.15-32mdk
- Made automatic release number generation with %%mkrel really working.

* Fri Feb 24 2006 Till Kamppeter <till@mandriva.com> 8.15-31mdk
- Updated to subversion revision 129 (Update to version 1.2 of
  HP's KRGB patch in the "ijs" device, fixes several buffer overflows
  and other segfault sources, especially important for full-bleed
  printing with HPIJS, thanks to David Suffield from HP).

* Fri Feb 24 2006 Till Kamppeter <till@mandriva.com> 8.15-30mdk
- Added "Provides: ghostscript" to ghostscript-static, as this one
  is also a fully functional GhostScript executable.

* Tue Feb 21 2006 Till Kamppeter <till@mandriva.com> 8.15-29mdk
- Changed priorities of update-alternatives to the "gsc" executable,
  it has no working "display" default device, but at least with this
  one everything which worked in the old static GhostScript works as
  before. "gsx" has problems with gv (bug 21131) and ps2pdf (bug 21150).
- Removed the "Requires: ghostscript-X-executable" from the
  "ghostscript-module-X" package. It is not needed.
- Updated package descriptions.

* Mon Feb 13 2006 Till Kamppeter <till@mandriva.com> 8.15-28mdk
- Added "Conflicts: ghostscript < 8.15-27mdk" to make updates
  correctly working (thanks to Frederic Crozat).
- Fixed %%postun script of libgs8 package.

* Fri Feb  3 2006 Till Kamppeter <till@mandriva.com> 8.15-27mdk
- New package splitting to avoid duplicate disk occupation by the same
  code in libgs and the static GhostScript executable
- Improved and cleaned up the package descriptions.
- %%mkrel also for libijs.
- Some spec file clean-up.

* Mon Jan 30 2006 Helio Chissini de Castro <helio@mandriva.com> 8.15-26mdk
- Introduced libgs package.
- Added patch to fix lack of right flags on compilation

* Mon Jan 23 2006 Till Kamppeter <till@mandriva.com> 8.15-25mdk
- Split off the dvipdf tool into its own package to avoid tetex
  dependency.
- Added "Required: tetex-dvips" to the newly defined ghostscript-dvipdf
  package (bug 20330).
- Introduced %%mkrel.

* Sat Jan 14 2006 Till Kamppeter <till@mandriva.com> 8.15-24mdk
- Updated to subversion revision 128 (Patch from Werner Fink from SuSE: 
  Fixed rendering of images when converting PostScript to PDF with 
  "ps2pdf" (bug 19437), fixed also a crash when generating PDF files with 
  the "pdfwrite" device).

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 8.15-23mdk
- rebuilt against openssl-0.9.8a

* Fri Sep 23 2005 Till Kamppeter <till@mandriva.com> 8.15-22mdk
- Updated to subversion revision 127 (Release 8.15.1 plus assorted
  fixes from Werner Fink from SuSE: Several segfaults, color model
  adaptations to GS 8.15 in some drivers, vertical japanese text
  fix, applied patches 0, 100, and 101 upstream).
- Removed patches 0, 100, and 101 (merged upstream). Now we have the
  first patch-free GhostScript package in a Linux distribution!
- There was still a Mandrake inside, Mandrivized it.

* Tue Aug 16 2005 Till Kamppeter <till@mandriva.com> 8.15-21mdk
- Updated to subversion revision 119 (Fixed bugs in the "pxlmono" and
  "pxlcolor" drivers, once on the Legal paper size definition, and second
  a missing PJL command telling whether the job is grayscale or color).

* Sat Aug 13 2005 Till Kamppeter <till@mandriva.com> 8.15-20mdk
- Updated to subversion revision 118 (Fixed a FreeType bug on 64-bit
  platforms, STR 1235; fixed multiple media selection bugs, STR 1172,
  STR 1204, Foomatic bug 1222120 on Sourceforge; merged in fixes from
  GPL GhostScript repository).

* Fri Jul 15 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-19mdk
- Updated to subversion revision 106 (Fixed GhostScript crashing with
  some PostScript files on 64-bit platforms, STR 1168, bug 16694).

* Wed Jun 15 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-18mdk
- Updated to subversion revision 105 (More bug fixes, especially several
  contributed by Werner Fink from SuSE).

* Wed Apr 20 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-17mdk
- Updated to subversion revision 99/release 8.15.1rc3 (Tons of bug fixes,
  especially broken "ps2epsi", 16-bit/color support for "cups" device/native
  CUPS drivers).

* Tue Mar 29 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-16mdk
- Updated to subversion revision 79 (Several bug fixes, especially
  crashes of "imagen" and "lx5000" drivers, output into a pipe not
  possible for some drivers, ...).

* Thu Mar 17 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-15mdk
- Updated to subversion revision 78 (Several bug fixes, improvement of
  antialiased screen output when using gv or ghostview).
- Added "Conflicts: printer-filters <= 10.1" (bug 14710).

* Tue Mar  8 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-14mdk
- Updated to subversion revision 70 (Deactivated "dmprt", it breaks
  GhostScript completely).

* Mon Mar  7 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-13mdk
- Updated to subversion revision 68 (Added remaining japanese printer
  drivers: "dmprt", "escpage", "lp2000", "npdl", "rpdl").

* Fri Mar  4 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-12mdk
- Updated to subversion revision 67 (Fixed segfaults in "opvp" and "lips4v";
  fixed color handling in "opvp").

* Wed Mar  2 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-11mdk
- Updated to subversion revision 63 (Made PNG devices being compiled).

* Thu Feb 24 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-10mdk
- Updated to subversion revision 62 (Epson Kowa laser printer driver
  added upstream, CUPS driver for PCL-XL improved).

* Mon Feb 21 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-9mdk
- Updated to subversion revision 51 (Fixed segfault of Epson EPL-xxxxL
  driver with KRGB patch).
- Reactivated KRGB.

* Fri Feb 18 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 8.15-8mdk
- drop patch1: fixed upstream

* Thu Feb 17 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-7mdk
- Updated to subversion revision 50 (Added old japanese drivers).

* Wed Feb 16 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-6mdk
- Updated to subversion revision 49 (Many bug fixes, especially "pxlmono"
  driver).
- Temporarily reverted to the original IJS driver from GPL GhostScript, 
  without KRGB, but does not segfault with Epson EPL-xxxxL driver.

* Tue Feb 15 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-5mdk
- Updated to subversion revision 46 (shortly after 8.15.1rc1).
- Added Epson Kowa laser printer drivers (alpha version).
- Cleaned up spec file somewhat.

* Sun Feb 13 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 8.15-4mdk
- Patch1: fix segfault at startup on ppc

* Wed Feb  9 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 8.15-3mdk
- lib64 fixes
- build DSO with PIC

* Sat Jan 29 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 8.15-2mdk
- add BuildRequires: XFree86-devel

* Fri Jan 28 2005 Till Kamppeter <till@mandrakesoft.com> 8.15-1mdk
- Updated to ESP GhostScript 8.15.
